# [BETA] List volumes

```http
GET /compute/v1/tenants/{tenantId}/volumes
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListVolumes`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:volumes`

Returns a paginated list of volumes for a tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `createdAt` (string)
    - `deviceId` (integer)
    - `id` (string)
    - `instanceId` (string)
    - `name` (string)
    - `sizeBytes` (integer)
    - `state` (string, one of: `Allocated`, `Creating`, `Ready`, `Migrating`, `Expunging`, `Destroy`, `UploadOp`, `Snapshotting`, `RevertSnapshotting`, `Resizing`, `Expunged`, `Destroying`, `Copying`, `Uploaded`, `NotUploaded`, `UploadInProgress`, `UploadError`, `UploadAbandonedVolumeState`, `Attaching`, `Restoring`, `Unknown`)
    - `type` (string, one of: `Root`, `DataDisk`, `BaseImage`, `ISO`, `Unknown`)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
